> ## Documentation Index
> Fetch the complete documentation index at: https://developer.quicko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate

> API to authenticate the API User



## OpenAPI

````yaml /projects/connect/openapi.json POST /authenticate
openapi: 3.0.0
info:
  title: open-api
  version: 1.0.0
  description: ''
servers:
  - url: https://api.quicko.com
security: []
paths:
  /authenticate:
    parameters: []
    post:
      summary: Authenticate
      parameters:
        - name: x-api-key
          in: header
          required: false
          description: API User Key
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-secret
          in: header
          required: false
          description: API User Secret
          example: '{{api_secret}}'
          schema:
            type: string
      responses:
        '200':
          headers:
            Date:
              schema:
                type: string
              example: Mon, 29 Apr 2024 15:55:15 GMT
            Content-Type:
              schema:
                type: string
              example: application/json
            Content-Length:
              schema:
                type: integer
              example: '1224'
            Connection:
              schema:
                type: string
              example: keep-alive
            x-amzn-RequestId:
              schema:
                type: string
              example: b4337f06-0c46-43b0-818f-2b89d61431cc
            x-amzn-Remapped-x-amzn-RequestId:
              schema:
                type: integer
              example: 15230505-9974-4201-9e3d-7f30291638db
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: '*'
            x-amzn-Remapped-Content-Length:
              schema:
                type: integer
              example: '1224'
            x-amzn-Remapped-Connection:
              schema:
                type: string
              example: keep-alive
            x-amz-apigw-id:
              schema:
                type: string
              example: W_tjCGw0hcwEW4w=
            X-Requested-With:
              schema:
                type: string
              example: '*'
            X-Amzn-Trace-Id:
              schema:
                type: string
              example: >-
                Root=1-662fc2df-3053c7237c10612b67543d06;Parent=4a0c83feb78aeffc;Sampled=0;lineage=94634231:0
            x-amzn-Remapped-Date:
              schema:
                type: string
              example: Mon, 29 Apr 2024 15:55:15 GMT
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      access_token:
                        type: string
                      refresh_token:
                        type: string
                  code:
                    type: integer
              example:
                timestamp: 1714406111946
                transaction_id: 15230505-9974-4201-9e3d-7f30291638db
                data:
                  access_token: >-
                    eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpbnRlbnQiOiJBQ0NFU1NfVE9LRU4iLCJyZWZyZXNoX3Rva2VuIjoiZXlKaGJHY2lPaUpJVXpVeE1pSXNJblI1Y0NJNklrcFhWQ0o5LmV5SnBiblJsYm5RaU9pSlNSVVpTUlZOSVgxUlBTMFZPSWl3aWFXRjBJam94TnpFME5EQTJNVEUxTENKbGVIQWlPakUzTkRVNU5qTTNNVFVzSW1GMVpDSTZJa0ZRU1NJc0ltbHpjeUk2SW1Gd2FTNXhkV2xqYTI4dVkyOXRJaXdpYzNWaUlqb2lhMlY1WDNSbGMzUmZkRVZ6VkVSRlRVOTBUMnN6YmtKVWVsTTBValZ2VDFWb2NHTnZkVE5hWjBjaWZRLmVscXdncURxVE9NRVNpNEg2a2llM0dhWGMtTks5Q1hJbkNnaFhZWU9feHF1SXo4UUZyZ3ltWWxkbUtkdzlvZlNZd205N19PWGVxY2VWSmFWZlVFWklRIiwiaWF0IjoxNzE0NDA2MTE1LCJleHAiOjE3MTQ0OTI1MTUsImF1ZCI6IkFQSSIsImlzcyI6ImFwaS5xdWlja28uY29tIiwic3ViIjoia2V5X3Rlc3RfdEVzVERFTU90T2szbkJUelM0UjVvT1VocGNvdTNaZ0cifQ.ukyd9LZ3ZnQc_b2fEvPDR8r3H-KvI8zUa6uU_SFHdK3Tz-WcAlMekgMtZIIqODWZRWdEWgwaqhhMX3UWi6AvMA
                  refresh_token: >-
                    eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpbnRlbnQiOiJSRUZSRVNIX1RPS0VOIiwiaWF0IjoxNzE0NDA2MTE1LCJleHAiOjE3NDU5NjM3MTUsImF1ZCI6IkFQSSIsImlzcyI6ImFwaS5xdWlja28uY29tIiwic3ViIjoia2V5X3Rlc3RfdEVzVERFTU90T2szbkJUelM0UjVvT1VocGNvdTNaZ0cifQ.elqwgqDqTOMESi4H6kie3GaXc-NK9CXInCghXYYO_xquIz8QFrgymYldmKdw9ofSYwm97_OXeqceVJaVfUEZIQ
                code: 200

````